Skip to main content
Resource Center/Network Resource/VPC Operations
POSTVPC OperationsSince 3.4.0SynchronousAuth Required

SetVpcVRouterNetworkServiceState

SetVpcVRouterNetworkServiceState

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Path Parameters

Request Inputs

Path Parameters

  • uuidStringRequired

    The resource UUID.

Body Fields

  • paramsObjectRequired

    Request body parameter object.

    • networkServiceStringRequired

      The vRouter network service.

    • stateStringRequired

      The service state.

  • systemTagsList

    Optional. The vRouter system tags.

  • userTagsList

    Optional. The vRouter user tags.

Responses

200 OK

On success, this API returns the following response structure.

  • stateStringRequired

    当前状态。

  • errorErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • codeStringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • descriptionStringRequired

      The brief description of the error.

    • detailsStringRequired

      The details about the error.

    • elaborationStringRequired

      The reserved field. Default value: null.

    • opaqueLinkedHashMapRequired

      The reserved field. Default value: null.

    • causeErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

Endpoint

POST/zstack/v1/vpc/virtual-routers/{uuid}/networkservicestate

/zstack/v1/vpc/virtual-routers/{uuid}/networkservicestate

Operation ID

SetVpcVRouterNetworkServiceState

Permalink

Request Example

curl -X POST 'http://{host}/zstack/v1/vpc/virtual-routers/{uuid}/networkservicestate' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"params":{"networkService":"<networkService>","state":"<state>"},"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'

Response Example

200
{ "state": "enable" }

Change History

This API has no change history records yet.

View all change history